# Examples of competitive neural networks

## Visualizing MNIST dataset

```bash
$ python sofm_digits.py
```

![](images/sofm-digits.png)

## Visualizing high-dimensional datasets

```bash
$ python sofm_heatmap_visualization.py
```

![](images/sofm-heatmap.png)

## Learning topology of the moon shaped cluster

```bash
$ python sofm_moon_topology.py
```

![](images/sofm-moon-topology.png)

## Compare different SOFM's grid types

```bash
$ python sofm_compare_grid_types.py
```

![](images/sofm-hexagon-vs-rectangular-grid.png)

## Compare different SOFM's weight initializations

```bash
$ python sofm_compare_weight_init.py
```

![](images/compare-weight-init-methods.png)

## Cluster iris dataset using SOFM

```bash
$ python sofm_iris_clustering.py
```

![](images/sofm-iris-clustering.png)
